Bug 18835 - Xext/mbuf.c fails to compile in server-1.6-branch xserver
Summary: Xext/mbuf.c fails to compile in server-1.6-branch xserver
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords: patch
Depends on:
Blocks: xserver-1.6
  Show dependency treegraph
 
Reported: 2008-12-01 10:29 UTC by Bernhard Rosenkraenzer
Modified: 2008-12-09 22:01 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Fix (899 bytes, patch)
2008-12-01 10:32 UTC, Bernhard Rosenkraenzer
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Rosenkraenzer 2008-12-01 10:29:25 UTC
mbuf.c:199: warning: function declaration isn't a prototype
mbuf.c: In function 'DeliverEventsToMultibuffer':
mbuf.c:1317: error: too few arguments to function 'TryClientEvents'
mbuf.c:1329: error: too few arguments to function 'TryClientEvents'
make[1]: *** [mbuf.lo] Error 1
Comment 1 Bernhard Rosenkraenzer 2008-12-01 10:32:43 UTC
Created attachment 20717 [details] [review]
Fix

This fixes it...
Comment 2 Julien Cristau 2008-12-02 05:34:48 UTC
fixed in master with this commit:

commit 1dfed222e93f4684c2a450944a9a0ea9e085c43f
Author: Bernhard Rosenkraenzer <bero@arklinux.org>
Date:   Tue Dec 2 09:01:56 2008 +1000

    Xext: fix MultiBuffer compilation error with TryClientEvents. (#18835)
    
    X.Org Bug 18835 <http://bugs.freedesktop.org/show_bug.cgi?id=18835>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

Leaving the bug open for server-1.6 tracking.
Comment 3 Keith Packard 2008-12-09 22:01:35 UTC
Fixed in 1.5.99.3


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.